package com.ss.android.ugc.aweme.legoImp.task;

import X.8Zd;
import X.8Ze;
import X.8ec;
import X.9Ft;
import X.9Fx;
import X.AnonymousClass2UX;
import X.AnonymousClass40S;
import X.AnonymousClass40W;
import X.AnonymousClass40Y;
import X.AnonymousClass40Z;
import X.C12422nK;
import X.C474046i;
import android.content.Context;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.IAccountUserService;
import com.ss.android.ugc.aweme.compliance.api.a;
import java.util.List;
import kotlin.h.b.n;

public final class SyncProtectionSettingTask implements 8Ze {
    static {
        Covode.recordClassIndex(90638);
    }

    public final boolean meetTrigger() {
        return true;
    }

    public final String prefix() {
        return "task_";
    }

    public final boolean serialExecute() {
        return false;
    }

    public final int targetProcess() {
        return 1;
    }

    public final List triggerOtherLegoComponents() {
        return null;
    }

    public final 9Ft triggerType() {
        return 8Zd.LIZ(this);
    }

    public final 9Fx scenesType() {
        return 9Fx.DEFAULT;
    }

    public final 8ec type() {
        return 8ec.BOOT_FINISH;
    }

    public final String key() {
        return getClass().getSimpleName();
    }

    public final void LIZ() {
        String str;
        String str2;
        String str3 = "on";
        if (a.LJIILJJIL().LIZJ()) {
            str = str3;
        } else {
            str = "off";
        }
        if (a.LJIILJJIL().LIZ()) {
            str2 = str3;
        } else {
            str2 = "off";
        }
        if (!(a.LJIILL().LIZ() == AnonymousClass40W.CHILD || a.LJIILL().LIZ() == AnonymousClass40W.PARENT)) {
            str3 = "off";
        }
        int i = AnonymousClass40Y.LIZ[a.LJIILL().LIZ().ordinal()];
        int i2 = 2;
        if (i == 1) {
            i2 = 1;
        } else if (i != 2) {
            i2 = 0;
        }
        AnonymousClass2UX r0 = new AnonymousClass2UX();
        r0.LIZ("status", str);
        C12422nK.LIZ("time_lock_status", r0.LIZ);
        AnonymousClass2UX r02 = new AnonymousClass2UX();
        r02.LIZ("status", str2);
        C12422nK.LIZ("teen_mode_status", r02.LIZ);
        AnonymousClass2UX r1 = new AnonymousClass2UX();
        r1.LIZ("status", str3);
        r1.LIZ("role", i2);
        C12422nK.LIZ("kid_platform_status", r1.LIZ);
    }

    public final void run(Context context) {
        IAccountUserService LJFF = C474046i.LJFF();
        n.LIZIZ(LJFF, "");
        if (LJFF.isLogin()) {
            a.LJIILJJIL().LIZ((AnonymousClass40S) new AnonymousClass40Z(this));
        }
    }
}
